package main

import (
	"github.com/sirupsen/logrus"
	lumberjack "gopkg.in/natefinch/lumberjack.v2"
)

func main() {
	// 配置日志分隔
	lc := lumberjack.Logger{
		Filename:   "a.log",
		MaxSize:    1,
		MaxBackups: 5,
		Compress:   true,
	}
	logrus.SetLevel(logrus.DebugLevel)
	logrus.SetReportCaller(true)
	logrus.SetFormatter(&logrus.TextFormatter{})
	logrus.SetOutput(&lc)

	logrus.Infof("hello logrus\n")
	logrus.Debugf("hello debug\n")
	// 带标签的日志
	logrus.WithFields(logrus.Fields{"x": "y"}).Debug("xxx")
}
